(function(context,$) {

    "use strict";

    var congratulations = {};

    congratulations.initialize = function initialize(musician, registrationType) {
        if(musician) {
            context.JK.Downloads.listClients();
        }

        if(registrationType) {
            $(function() {
                // ga() object isn't ready until the page is loaded
                context.JK.GA.trackRegister(musician, registrationType);
            });
        }
    }

    context.congratulations = congratulations;

})(window, jQuery)